## opencpn-plugin-br24radar 3.0.1

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Plagiarized by: Dave Cowell for WINDOWS
##
## Author:      bdbcat aka. dsr (Dave Register)
## Copyright:
## License:     wxWidgets License
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(br24radar_pi)

SET(PACKAGE_NAME br24radar_pi)
SET(VERBOSE_NAME BR24Radar)
SET(TITLE_NAME BR24Radar)
SET(CPACK_PACKAGE_CONTACT "kees@verruijt.net")
SET(VERSION_MAJOR "3")
#SET(CMAKE_BUILD_TYPE Debug)
SET(VERSION_MINOR "0")
SET(VERSION_PATCH "0")
SET(VERSION_DATE "2017-09-24")

INCLUDE("cmake/PluginConfigure.cmake")

# For convenience we define the sources as a variable. You can add
# header files and cpp/c files and CMake will sort them out

SET(SRC_br24radar
            src/pi_common.h
            src/shaderutil.h
            src/shaderutil.cpp
            src/socketutil.h
            src/socketutil.cpp
            src/drawutil.h
            src/drawutil.cpp
            src/br24radar_pi.h
            src/br24radar_pi.cpp
            src/br24ControlsDialog.h
            src/br24ControlsDialog.cpp
            src/br24MessageBox.h
            src/br24MessageBox.cpp
            src/br24OptionsDialog.h
            src/br24OptionsDialog.cpp
            src/br24Receive.h
            src/br24Receive.cpp
            src/RadarMarpa.h
            src/RadarMarpa.cpp
            src/br24Transmit.h
            src/br24Transmit.cpp
            src/icons.h
            src/icons.cpp
            src/GuardZone.h
            src/GuardZone.cpp
            src/GuardZoneBogey.h
            src/GuardZoneBogey.cpp
            src/Kalman.h
            src/Kalman.cpp
            src/Matrix.h
            src/RadarInfo.h
            src/RadarInfo.cpp
            src/RadarCanvas.h
            src/RadarCanvas.cpp
            src/RadarPanel.h
            src/RadarPanel.cpp
            src/RadarDraw.h
            src/RadarDraw.cpp
            src/RadarDrawShader.h
            src/RadarDrawShader.cpp
            src/RadarDrawVertex.h
            src/RadarDrawVertex.cpp
            src/TextureFont.h
            src/TextureFont.cpp
)
SET(SRC_NMEA0183
        src/nmea0183/nmea0183.cpp
        src/nmea0183/nmea0183.hpp
        src/nmea0183/Response.hpp
        src/nmea0183/response.cpp
        src/nmea0183/Sentence.hpp
        src/nmea0183/sentence.cpp
        src/nmea0183/talkerid.cpp
        src/nmea0183/hexvalue.cpp
        src/nmea0183/expid.cpp
        src/nmea0183/hdt.hpp
        src/nmea0183/hdt.cpp
        src/nmea0183/hdg.hpp
        src/nmea0183/hdg.cpp
        src/nmea0183/hdm.hpp
        src/nmea0183/hdm.cpp
)
SET(SRC_JSON
        src/wxJSON/jsonreader.cpp
        src/wxJSON/jsonval.cpp
        # We don't use jsonwriter.cpp yet ...
)
INCLUDE_DIRECTORIES(src/nmea0183)
INCLUDE_DIRECTORIES(src/wxJSON)
INCLUDE_DIRECTORIES(src)


IF(WIN32)
  SET(wxWidgets_USE_LIBS base core net adv gl aui)
  SET(BUILD_SHARED_LIBS TRUE)
  FIND_PACKAGE(wxWidgets REQUIRED)
ENDIF(WIN32)

ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_br24radar} ${SRC_NMEA0183} ${SRC_JSON})

SET(TEST_KALMAN kalman-test)
SET(SRC_KALMAN
              src/Kalman-test.cpp
              src/Kalman.h
              src/Kalman.cpp
              src/Matrix.h
              src/RadarMarpa.h
)
ADD_EXECUTABLE(${TEST_KALMAN} ${SRC_KALMAN})
TARGET_LINK_LIBRARIES(${TEST_KALMAN} ${wxWidgets_LIBRARIES})

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== Makefile ===

all:
	bash ./build.sh

=== debian/changelog ===
opencpn-plugin-br24radar (3.0.1-0mx17+2) mx; urgency=medium

  * set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:51:49 -0700

opencpn-plugin-br24radar (3.0.1-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 15:33:51 -0700

opencpn-plugin-br24radar (3.0.1-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 10 Aug 2019 15:26:52 -0700

opencpn-plugin-br24radar (3.0.1-0~xenial1) xenial; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:37:04 -0500

opencpn-plugin-br24radar (3.0.1-0~yakkety1) yakkety; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:37:04 -0500

opencpn-plugin-br24radar (3.0.1-0~zesty1) zesty; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:37:04 -0500

opencpn-plugin-br24radar (3.0.1-0~artful1) artful; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:37:04 -0500

opencpn-plugin-br24radar (3.0.0-0~yakkety1) yakkety; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:34:54 -0500

opencpn-plugin-br24radar (3.0.0-0~zesty1) zesty; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:34:54 -0500

opencpn-plugin-br24radar (3.0.0-0~artful1) artful; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:34:54 -0500

opencpn-plugin-br24radar (3.0.0-0~precise1) precise; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:20:32 -0500

opencpn-plugin-br24radar (3.0.0-0~trusty1) trusty; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:20:32 -0500

opencpn-plugin-br24radar (3.0.0-0~vivid1) vivid; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:20:32 -0500

opencpn-plugin-br24radar (3.0.0-0~wily1) wily; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:20:32 -0500

opencpn-plugin-br24radar (3.0.0-0~xenial1) xenial; urgency=low

  * Version 3.0

 -- Pavel Kalian <pavel@kalian.cz>  Sun, 24 Sep 2017 10:20:32 -0500

opencpn-plugin-br24radar (2.1.0-0~precise1) precise; urgency=low

  * Version 2.1.0

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Aug 2016 07:33:50 -0500

opencpn-plugin-br24radar (2.1.0-0~trusty1) trusty; urgency=low

  * Version 2.1.0

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Aug 2016 07:33:50 -0500

opencpn-plugin-br24radar (2.1.0-0~vivid1) vivid; urgency=low

  * Version 2.1.0

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Aug 2016 07:33:50 -0500

opencpn-plugin-br24radar (2.1.0-0~wily1) wily; urgency=low

  * Version 2.1.0

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Aug 2016 07:33:50 -0500

opencpn-plugin-br24radar (2.1.0-0~xenial1) xenial; urgency=low

  * Version 2.1.0

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Aug 2016 07:33:50 -0500

opencpn-plugin-br24radar (2.1.0-0~yakkety1) yakkety; urgency=low

  * Version 2.1.0

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 26 Aug 2016 07:33:50 -0500

opencpn-plugin-br24radar (2.0.0-0~precise1) precise; urgency=low

  * Version 2.0.0

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 08 Aug 2016 18:00:06 -0500

opencpn-plugin-br24radar (2.0.0-0~trusty1) trusty; urgency=low

  * Version 2.0.0

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 08 Aug 2016 18:00:06 -0500

opencpn-plugin-br24radar (2.0.0-0~vivid1) vivid; urgency=low

  * Version 2.0.0

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 08 Aug 2016 18:00:06 -0500

opencpn-plugin-br24radar (2.0.0-0~wily1) wily; urgency=low

  * Version 2.0.0

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 08 Aug 2016 18:00:06 -0500

opencpn-plugin-br24radar (2.0.0-0~xenial1) xenial; urgency=low

  * Version 2.0.0

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 08 Aug 2016 18:00:06 -0500

opencpn-plugin-br24radar (2.0.0-0~yakkety1) yakkety; urgency=low

  * Version 2.0.0

 -- Pavel Kalian <pavel@kalian.cz>  Mon, 08 Aug 2016 18:00:06 -0500

opencpn-plugin-br24radar (1.3.2-0~precise1) precise; urgency=low

  * Version 1.32

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 29 Apr 2016 05:35:01 -0500

opencpn-plugin-br24radar (1.3.2-0~trusty1) trusty; urgency=low

  * Version 1.32

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 29 Apr 2016 05:35:01 -0500

opencpn-plugin-br24radar (1.3.2-0~vivid1) vivid; urgency=low

  * Version 1.32

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 29 Apr 2016 05:35:01 -0500

opencpn-plugin-br24radar (1.3.2-0~wily1) wily; urgency=low

  * Version 1.32

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 29 Apr 2016 05:35:01 -0500

opencpn-plugin-br24radar (1.3.2-0~xenial1) xenial; urgency=low

  * Version 1.32

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 29 Apr 2016 05:35:01 -0500

opencpn-plugin-br24radar (1.3.2-0~yakkety1) yakkety; urgency=low

  * Version 1.32

 -- Pavel Kalian <pavel@kalian.cz>  Fri, 29 Apr 2016 05:35:01 -0500

opencpn-plugin-br24radar (1.3.1-0~precise1) precise; urgency=low

  * Version 1.3

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 09 Mar 2016 08:26:37 -0600

opencpn-plugin-br24radar (1.3.1-0~trusty1) trusty; urgency=low

  * Version 1.3

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 09 Mar 2016 08:26:37 -0600

opencpn-plugin-br24radar (1.3.1-0~vivid1) vivid; urgency=low

  * Version 1.3

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 09 Mar 2016 08:26:37 -0600

opencpn-plugin-br24radar (1.3.1-0~wily1) wily; urgency=low

  * Version 1.3

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 09 Mar 2016 08:26:37 -0600

opencpn-plugin-br24radar (1.3.1-0~xenial1) xenial; urgency=low

  * Version 1.3

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 09 Mar 2016 08:26:37 -0600

opencpn-plugin-br24radar (1.3.0-0~precise1) precise; urgency=low

  * Version 1.3

 -- Pavel Kalian <pavel@kalian.cz>  Wed, 24 Feb 2016 16:31:16 -0600

opencpn-plugin-br24radar (1.3.0-0~trusty1) trusty; urgency=low



=== debian/control ===
Source: opencpn-plugin-br24radar
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, 
	wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, 
	wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-br24radar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.1.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
